apiVersion: apps/v1
kind: Deployment
metadata:
  name: drone-runner
  namespace: drone
spec:
  replicas: 4
  selector:
    matchLabels:
      app: drone-runner
  template:
    metadata:
      labels:
        app: drone-runner
    spec:
#      nodeSelector:
#        kubernetes.io/arch: "amd64"
      containers:
        - name: drone-runner
          image: drone/drone-runner-kube:latest
          imagePullPolicy: Always
          env:
            - name: DRONE_RPC_HOST
              value: "drone.prod.panic.haus"
            - name: DRONE_RPC_PROTO
              value: "https"
            - name: DRONE_RPC_SECRET
              value: "H8ndv3um34VWcixdrE3caViLViRnYDcy"
            - name: DRONE_RUNNER_CAPACITY
              value: "2"
            - name: DRONE_DEBUG
              value: "true"
            - name: DRONE_NAMESPACE_DEFAULT
              value: "drone"
#            - name: DRONE_NODE_SELECTOR_DEFAULT
#              value: "kubernetes.io/arch:amd64"
